### Constructor

# GimpUi EnumComboBox new

#### Declaration [src]

    GtkWidget*
    gimp_enum_combo_box_new (
      GType enum_type
    )

#### Description [src]

Creates a `GtkComboBox` readily filled with all enum values from a given `enum_type`. The enum needs to be registered to the type system. It should also have %GimpEnumDesc descriptions registered that contain translatable value names. This is the case for the enums used in the GIMP PDB functions.

This is just a convenience function. If you need more control over the enum values that appear in the combo_box, you can create your own `GimpEnumStore` and use gimp_enum_combo_box_new_with_model().

Available since: | 2.4

#### Parameters

`enum_type` | `GType`
| The `GType` of an enum.

#### Return value

Returns: | `GtkWidget`
| A new `GimpEnumComboBox`.
| The data is owned by the called function.